<?php
namespace Fifa\ConnectId\Sdk\Util\Modifiers;

use Fifa\ConnectId\Sdk\Api\Model\FindFacilitiesRequestType;

class FindFacilitiesRequestTypeModifiers implements ModifiersInterface
{
    private static $findRequestTypeModifiers = [
        'modified_from_date_time' => Modifiers::RFC3339_Date_Modifier,
        'modified_to_date_time' => Modifiers::RFC3339_Date_Modifier,
    ];

    public function resolveModifier($data, $property): ?string {
        if($data instanceof FindFacilitiesRequestType) {
            if(array_key_exists($property, self::$findRequestTypeModifiers)) {
                return self::$findRequestTypeModifiers[$property];
            }
        }
        return null;
    }
}